## com.bbn.openmap.tools.symbology.milStd2525
Class CodeStatus

    java.lang.Object
      |
      +--com.bbn.openmap.tools.symbology.milStd2525.CodePosition
            |
            +--com.bbn.openmap.tools.symbology.milStd2525.CodeStatus

public class CodeStatus
extends CodePosition

The CodeStatus CodePosition is used to mark and anticipated or planned object, or one that is currently present. It is used on position 4 in the symbol code.

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`choices, DEBUG, endIndex, hierarchyNumber, id, NameProperty, nextPosition, NextProperty, NO_CHAR, NO_NUMBER, prettyName, startIndex, symbolPart`

Constructor Summary
`CodeStatus()`

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`addPositionChoice, addPositionChoice, codeMatches, getEndIndex, getFromChoices, getHierarchyNumber, getHierarchyNumberString, getID, getNextPosition, getNULLCodePosition, getPositionChoices, getPrettyName, getStartIndex, getSymbolPart, parseHierarchy, parsePositions, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeStatus

    public CodeStatus()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details